cdac.medinfo.model

## Class VitalSigns

- java.lang.Object
- - cdac.medinfo.model.VitalSigns

-     public class VitalSigns
      extends java.lang.Object

  This class specify VitalSigns Details.This section contains current and historically relevant vital signs, such as blood pressure, heart rate, respiratory rate, height, weight, body mass index, head circumference, crown-to-rump length, and pulse oximetry.

  This class has the following attributes:

  1. date (String)
  2. vitalSigns (String)
  3. value (String)
  4. unit (String)

  This class provides accessors and mutators for the elements mentioned above.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VitalSigns()` Constructs an object of VitalSigns.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDate()` Returns the date of vital sign.
    `java.lang.String` | `getUnit()` Returns the value for the vital sign.
    `java.lang.String` | `getValue()` Returns the value for the vital sign.
    `java.lang.String` | `getVitalSigns()` Returns the vital sign.
    `void` | `setDate(java.lang.String date)` Sets the date of vital sign.
    `void` | `setUnit(java.lang.String unit)` Sets the unit for the value of vital sign.
    `void` | `setValue(java.lang.String value)` Sets the value for the vital sign.
    `void` | `setVitalSigns(java.lang.String vitalSigns)` Sets the vital sign type.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VitalSigns

          public VitalSigns()

      Constructs an object of VitalSigns.

  - ### Method Detail

    - #### getDate

          public java.lang.String getDate()

      Returns the date of vital sign.
      Returns:
        the date of vital sign.

    - #### setDate

          public void setDate(java.lang.String date)

      Sets the date of vital sign.
      Parameters:
        `date` - specifies the date of the vital sign

    - #### getVitalSigns

          public java.lang.String getVitalSigns()

      Returns the vital sign.
      Returns:
        the vitalSigns.

    - #### setVitalSigns

          public void setVitalSigns(java.lang.String vitalSigns)

      Sets the vital sign type.
      Parameters:
        `vitalSigns` - specifies vital sign type.

    - #### getValue

          public java.lang.String getValue()

      Returns the value for the vital sign.
      Returns:
        the value for the vital signs.

    - #### setValue

          public void setValue(java.lang.String value)

      Sets the value for the vital sign.
      Parameters:
        `value` - specifies value for the vital sign.

    - #### getUnit

          public java.lang.String getUnit()

      Returns the value for the vital sign.
      Returns:
        the value for the vital sign.

    - #### setUnit

          public void setUnit(java.lang.String unit)

      Sets the unit for the value of vital sign.
      Parameters:
        `unit` - specifies unit for the value of vital sign.